Bug 1223851 (CVE-2015-4104, xsa129) - CVE-2015-4104 xen: PCI MSI mask bits inadvertently exposed to guests (xsa-129)
Summary: CVE-2015-4104 xen: PCI MSI mask bits inadvertently exposed to guests (xsa-129)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-4104, xsa129
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1227628
Blocks: 1223862
TreeView+ depends on / blocked
 
Reported: 2015-05-21 14:33 UTC by Martin Prpič
Modified: 2019-09-29 13:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-24 10:39:15 UTC


Attachments (Terms of Use)
xsa129-qemut.patch (4.77 KB, text/plain)
2015-05-21 14:34 UTC, Martin Prpič
no flags Details
xsa129-qemuu-4.3.patch (6.15 KB, text/plain)
2015-05-21 14:34 UTC, Martin Prpič
no flags Details
xsa129-qemuu.patch (6.20 KB, text/plain)
2015-05-21 14:34 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2015-05-21 14:33:09 UTC
ISSUE DESCRIPTION
=================

The mask bits optionally available in the PCI MSI capability structure are used by the hypervisor to occasionally suppress interrupt delivery. Unprivileged guests were, however, nevertheless allowed direct control of these bits.

IMPACT
======

Interrupts may be observed by Xen at unexpected times, which may lead to a host crash and therefore a Denial of Service.

VULNERABLE SYSTEMS
==================

Xen versions 3.3 and onwards are vulnerable due to supporting PCI pass-through.

Only x86 systems are vulnerable. ARM systems are not vulnerable.

Only HVM guests with their device model run in Dom0 can take advantage of this vulnerability.

Only HVM guests which have been granted access to physical PCI devices (`PCI passthrough') can take advantage of this vulnerability.

Furthermore, the vulnerability is only applicable when the passed-through PCI devices are MSI-capable. (Most modern devices are.)

MITIGATION
==========

This issue can be avoided by not assigning MSI capable PCI devices to untrusted HVM guests.

This issue can also be avoided by only using PV guests.

It can also be avoided by configuring HVM guests with their device model run in a separate (stub) domain. (When using xl, this can be requested with "device_model_stubdomain_override=1" in the domain configuration file.)


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Martin Prpič 2015-05-21 14:34:20 UTC
Created attachment 1028244 [details]
xsa129-qemut.patch

Comment 2 Martin Prpič 2015-05-21 14:34:22 UTC
Created attachment 1028245 [details]
xsa129-qemuu-4.3.patch

Comment 3 Martin Prpič 2015-05-21 14:34:24 UTC
Created attachment 1028246 [details]
xsa129-qemuu.patch

Comment 4 Petr Matousek 2015-05-24 10:39:15 UTC
Statement:

This issue does affect then Xen packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Martin Prpič 2015-06-03 07:58:37 UTC
External References:

http://xenbits.xen.org/xsa/advisory-129.html

Comment 6 Martin Prpič 2015-06-03 07:59:02 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1227628]


Note You need to log in before you can comment on or make changes to this bug.